View Issue Details

IDProjectCategoryView StatusLast Update
0001477Database Comparer VCL[All Projects] Generalpublic2019-04-18 19:44
ReportershirokovAssigned Tobarry 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[Database Comparer] 7.0.0.1674 
Target Version[Database Comparer] 7.0.0.1674Fixed in Version[Database Comparer] 7.0.0.1677 
Summary0001477: The comparison result never create global temporary table, but it create all the indices, primary key, and foreign key that belo
DescriptionTry this method: compare database without global temporary table and with database (or script) that have global temporary table. Script/database with global temporary table is the master.
The comparison result never create global temporary table, but it create all the indices, primary key, and foreign key that belong to GTT. I send you sample script and database to fix the error.
TagsNo tags attached.

Activities

shirokov

2018-11-09 22:26

administrator  

FB3-GTT.ZIP (73,678 bytes)

barry

2018-11-14 17:05

administrator   ~0003924

(?)
Вот результат сравнения - таблицу создает:

/* Server version: WI-V6.3.0.32483 Firebird 3.0
   SQLDialect: 3. ODS: 12.0. Forced writes: On. Sweep inteval: 20000.
   Page size: 8192. Cache pages: 2048 (16384 Kb). Read-only: False. */
SET SQL DIALECT 3;

CONNECT 'D:\database\_Issue\0001477\FB3.FDB' USER 'SYSDBA' PASSWORD 'masterkey';

SET AUTODDL ON;

UPDATE RDB$DATABASE SET RDB$CHARACTER_SET_NAME = Null;

SET NAMES NONE;

RECONNECT;

/* Create Table... */
CREATE GLOBAL TEMPORARY TABLE GSAMPLE(ID CODE_ID GENERATED BY DEFAULT AS IDENTITY,
CODE VARCHAR20 NOT NULL,
AMOUNT CURRENCY,
PROCESSED BOOLEAN)
 ON COMMIT DELETE ROWS;



ALTER TABLE NEW_TABLE ADD AMOUNT CURRENCY;

/* Create Primary Key... */
ALTER TABLE GSAMPLE ADD CONSTRAINT PK_GSAMPLE PRIMARY KEY (ID);

ALTER TABLE NEW_TABLE ALTER COLUMN ID POSITION 1;

ALTER TABLE NEW_TABLE ALTER COLUMN KODE POSITION 2;

ALTER TABLE NEW_TABLE ALTER COLUMN AMOUNT POSITION 3;

/* DROP: -- GRANT SELECT ON MON$ATTACHMENTS TO PUBLIC */
REVOKE SELECT ON MON$ATTACHMENTS FROM PUBLIC;

Issue History

Date Modified Username Field Change
2018-11-09 22:26 shirokov New Issue
2018-11-09 22:26 shirokov Status new => assigned
2018-11-09 22:26 shirokov Assigned To => barry
2018-11-09 22:26 shirokov File Added: FB3-GTT.ZIP
2018-11-14 17:05 barry Note Added: 0003924
2018-11-14 17:06 barry Status assigned => feedback
2019-04-11 17:49 barry Status feedback => resolved
2019-04-11 17:49 barry Resolution open => fixed
2019-04-11 17:49 barry Fixed in Version => 7.0.0.1677
2019-04-18 19:44 barry Status resolved => closed